org.wso2.carbon.ml.rest.api.model

## Class MLAnalysisConfigsBean

- java.lang.Object
- - org.wso2.carbon.ml.rest.api.model.MLAnalysisConfigsBean

-     public class MLAnalysisConfigsBean
      extends Object

  Represents configurations of an analysis in ML.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLAnalysisConfigsBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithmName()`
    `List<org.wso2.carbon.ml.commons.domain.MLCustomizedFeature>` | `getCustomizedFeatures()`
    `List<org.wso2.carbon.ml.commons.domain.MLHyperParameter>` | `getHyperParameters()`
    `long` | `getId()`
    `String` | `getNewAnomalyLabel()`
    `String` | `getNewNormalLabel()`
    `String` | `getNormalLabels()`
    `String` | `getObservations()`
    `String` | `getProductVariable()`
    `String` | `getRatingVariable()`
    `String` | `getResponseVariable()`
    `double` | `getTrainDataFraction()`
    `String` | `getUserVariable()`
    `boolean` | `isNormalization()`
    `void` | `setAlgorithmName(String algorithmName)`
    `void` | `setCustomizedFeatures(List<org.wso2.carbon.ml.commons.domain.MLCustomizedFeature> customizedFeatures)`
    `void` | `setHyperParameters(List<org.wso2.carbon.ml.commons.domain.MLHyperParameter> hyperParameters)`
    `void` | `setId(long id)`
    `void` | `setNewAnomalyLabel(String newAnomalyLabel)`
    `void` | `setNewNormalLabel(String newNormalLabel)`
    `void` | `setNormalization(boolean normalization)`
    `void` | `setNormalLabels(String normalLabels)`
    `void` | `setObservations(String observations)`
    `void` | `setProductVariable(String productVariable)`
    `void` | `setRatingVariable(String ratingVariable)`
    `void` | `setResponseVariable(String responseVariable)`
    `void` | `setTrainDataFraction(double trainDataFraction)`
    `void` | `setUserVariable(String userVariable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MLAnalysisConfigsBean

          public MLAnalysisConfigsBean()

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getCustomizedFeatures

          public List<org.wso2.carbon.ml.commons.domain.MLCustomizedFeature> getCustomizedFeatures()

    - #### setCustomizedFeatures

          public void setCustomizedFeatures(List<org.wso2.carbon.ml.commons.domain.MLCustomizedFeature> customizedFeatures)

    - #### getAlgorithmName

          public String getAlgorithmName()

    - #### setAlgorithmName

          public void setAlgorithmName(String algorithmName)

    - #### getResponseVariable

          public String getResponseVariable()

    - #### setResponseVariable

          public void setResponseVariable(String responseVariable)

    - #### getTrainDataFraction

          public double getTrainDataFraction()

    - #### setTrainDataFraction

          public void setTrainDataFraction(double trainDataFraction)

    - #### getNormalLabels

          public String getNormalLabels()

    - #### setNormalLabels

          public void setNormalLabels(String normalLabels)

    - #### isNormalization

          public boolean isNormalization()

    - #### setNormalization

          public void setNormalization(boolean normalization)

    - #### getNewNormalLabel

          public String getNewNormalLabel()

    - #### setNewNormalLabel

          public void setNewNormalLabel(String newNormalLabel)

    - #### getNewAnomalyLabel

          public String getNewAnomalyLabel()

    - #### setNewAnomalyLabel

          public void setNewAnomalyLabel(String newAnomalyLabel)

    - #### getUserVariable

          public String getUserVariable()

    - #### setUserVariable

          public void setUserVariable(String userVariable)

    - #### getProductVariable

          public String getProductVariable()

    - #### setProductVariable

          public void setProductVariable(String productVariable)

    - #### getRatingVariable

          public String getRatingVariable()

    - #### setRatingVariable

          public void setRatingVariable(String ratingVariable)

    - #### getObservations

          public String getObservations()

    - #### setObservations

          public void setObservations(String observations)

    - #### getHyperParameters

          public List<org.wso2.carbon.ml.commons.domain.MLHyperParameter> getHyperParameters()

    - #### setHyperParameters

          public void setHyperParameters(List<org.wso2.carbon.ml.commons.domain.MLHyperParameter> hyperParameters)

Copyright © 2018 WSO2, Inc.. All Rights Reserved.